import { RevertibleIterable } from './revertible-iterable';
/**
 * Builds a {@link RevertibleIterable revertible iterable} over elements of array-like structure.
 *
 * @param array  An array-like structure. E.g. `Array`, DOM `NodeList`, etc.
 *
 * @returns A revertible iterable over array elements.
 */
export declare function overArray<T>(array: ArrayLike<T>): RevertibleIterable<T>;
/**
 * Returns an iterable without elements.
 *
 * @typeparam T  A type of constructed iterable elements.
 *
 * @returns An empty iterable instance revertible to itself.
 */
export declare function overNone<T>(): RevertibleIterable<T>;
//# sourceMappingURL=construction.d.ts.map