import { RevertibleIterable } from './revertible-iterable';
/**
 * Constructs a reversed iterable.
 *
 * If the `source` iterable is an array-like structure, then uses `reverseArray()` function to revert the constructed
 * iterable.
 * If the `source` iterable is revertible, then uses its `reverse()` method to revert the constructed one.
 * Otherwise stores elements to array and reverts them with `reverseArray()` function.
 *
 * @param source  A source iterable.
 *
 * @returns An iterable of the `source` elements in reverse order.
 */
export declare function reverseIt<T>(source: Iterable<T> | RevertibleIterable<T> | ArrayLike<T>): Iterable<T>;
/**
 * Constructs an iterable of array-like structure elements in reverse order.
 *
 * @param array  Source array.
 *
 * @returns An iterable of the `source` elements in reverse order.
 */
export declare function reverseArray<T>(array: ArrayLike<T>): Iterable<T>;
//# sourceMappingURL=reverse.d.ts.map